Patches for aports can be sent to this list

2

[alpine-aports] [PATCH 1/2] testing/py-cycler: new package

Isaac Dunham
Details
Message ID
<1460059314-23321-1-git-send-email-ibid.ag@gmail.com>
Sender timestamp
1460059313
DKIM signature
missing
Download raw message
Patch: +31 -0
Cycler provides composable styles; it is needed by the latest version of
matplotlib.
---
 testing/py-cycler/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/py-cycler/APKBUILD

diff --git a/testing/py-cycler/APKBUILD b/testing/py-cycler/APKBUILD
new file mode 100644
index 0000000..c5d41ab
--- /dev/null
+++ b/testing/py-cycler/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Isaac Dunham <ibid.ag@gmail.com>
+# Maintainer: Isaac Dunham <ibid.ag@gmail.com>
+pkgname=py-cycler
+_pkgname=cycler
+pkgver=0.10.0
+pkgrel=0
+pkgdesc="Composable style cycles in Python"
+url="http://matplotlib.org/cycler/"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/C/Cycler/${_pkgname}-$pkgver.tar.gz"
+
+builddir="${srcdir}/${_pkgname}-$pkgver"
+build() {
+	cd "$builddir" || return 1
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="4cb42917ac5007d1cdff6cccfe2d016b  cycler-0.10.0.tar.gz"
+sha256sums="cd7b2d1018258d7247a71425e9f26463dfb444d411c39569972f4ce586b0c9d8  cycler-0.10.0.tar.gz"
+sha512sums="b7d2ba19861ffaf4dea0444bfe68b5a6264a022d7b3f02c9ff5e5859e3901de12a90f8dc7469e995e09c418515b3df55dbf05a0cfe5368d40790a2c878a74819  cycler-0.10.0.tar.gz"
-- 
2.8.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/2] testing/py-matplotlib: update to 1.5.1

Isaac Dunham
Details
Message ID
<1460059314-23321-2-git-send-email-ibid.ag@gmail.com>
In-Reply-To
<1460059314-23321-1-git-send-email-ibid.ag@gmail.com> (view parent)
Sender timestamp
1460059314
DKIM signature
missing
Download raw message
Patch: +6 -6
This update adds py-tz and py-cycler dependencies.
---
 testing/py-matplotlib/APKBUILD | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/testing/py-matplotlib/APKBUILD b/testing/py-matplotlib/APKBUILD
index 2033d0a..64d4f96 100644
--- a/testing/py-matplotlib/APKBUILD
+++ b/testing/py-matplotlib/APKBUILD
@@ -1,13 +1,13 @@
 # Contributor: Isaac Dunham <ibid.ag@gmail.com>
 # Maintainer: Isaac Dunham <ibid.ag@gmail.com>
 pkgname=py-matplotlib
-pkgver=1.3.1
-pkgrel=1
+pkgver=1.5.1
+pkgrel=0
 pkgdesc="A Python library for plots"
 url="http://matplotlib.org"
 arch="all"
 license="custom"
-depends="python py-numpy py-tkinter py-dateutil py-parsing"
+depends="python py-numpy py-tkinter py-dateutil py-parsing py-tz"
 depends_dev=""
 makedepends="$depends python-dev gfortran py-numpy-dev freetype-dev
 	libpng-dev tk-dev py-setuptools"
@@ -52,6 +52,6 @@ tests() {
 
 }
 
-md5sums="d90d1f84140fc924ecb8f8610affd665  matplotlib-1.3.1.tar.gz"
-sha256sums="144125c941f72d900fcd2d1d676bfd47c9043af74ed62b87341dc12a55ec1454  matplotlib-1.3.1.tar.gz"
-sha512sums="f178e61f2133078daec2cd7bc05411a26da36121607a72115a991052dd002c72daaf8a7a60513b861ac50aabf0524db155cd748925abae23e2311a98b704ee2b  matplotlib-1.3.1.tar.gz"
+md5sums="b22dc4962f36aab919a7125b3b35953b  matplotlib-1.5.1.tar.gz"
+sha256sums="64c9f7cce4075d05c2602108ee1795aa6455c2c1d8e4329c95c83465e3806887  matplotlib-1.5.1.tar.gz"
+sha512sums="da99fffcb4fb600ed4386ce89e61725768d4209f3bd4ab174e0d8474c24b2736516a4299ceaa0714b276d7d02c3e33e39a6204e014569ec3f6249085b1ba7a0d  matplotlib-1.5.1.tar.gz"
-- 
2.8.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] Re: [PATCH 2/2] testing/py-matplotlib: update to 1.5.1

Isaac Dunham
Details
Message ID
<20160407205233.GA20831@newbook>
In-Reply-To
<1460059314-23321-2-git-send-email-ibid.ag@gmail.com> (view parent)
Sender timestamp
1460062354
DKIM signature
missing
Download raw message
On Thu, Apr 07, 2016 at 01:01:54PM -0700, Isaac Dunham wrote:
> This update adds py-tz and py-cycler dependencies.
> ---
>  testing/py-matplotlib/APKBUILD | 12 ++++++------
>  1 file changed, 6 insertions(+), 6 deletions(-)
> 
> diff --git a/testing/py-matplotlib/APKBUILD b/testing/py-matplotlib/APKBUILD
> index 2033d0a..64d4f96 100644
> --- a/testing/py-matplotlib/APKBUILD
> +++ b/testing/py-matplotlib/APKBUILD
> @@ -1,13 +1,13 @@
>  # Contributor: Isaac Dunham <ibid.ag@gmail.com>
>  # Maintainer: Isaac Dunham <ibid.ag@gmail.com>
>  pkgname=py-matplotlib
> -pkgver=1.3.1
> -pkgrel=1
> +pkgver=1.5.1
> +pkgrel=0
>  pkgdesc="A Python library for plots"
>  url="http://matplotlib.org"
>  arch="all"
>  license="custom"
> -depends="python py-numpy py-tkinter py-dateutil py-parsing"
> +depends="python py-numpy py-tkinter py-dateutil py-parsing py-tz"
Whoops, I was in a hurry and missed py-cycler.

Full patch attached.

Thanks,
Isaac